org.eclipse.microprofile.metrics

## Class MetricUnits

- java.lang.Object
- - org.eclipse.microprofile.metrics.MetricUnits

    public final class MetricUnits
    extends Object

Standard units constants for metric's `Metadata`. This class provides a list of common metric units and is not meant to be a complete list of possible units.

Author:
  hrupp
See Also:
  `Metadata`

### Field Summary

Fields
`static String` `BITS` Represents bits.
`static String` `BYTES` 8 `BITS`
`static String` `DAYS` 24 `HOURS`
`static String` `GIBIBITS` 1024 `MEBIBITS`
`static String` `GIGABITS` 1000 `MEGABITS`
`static String` `GIGABYTES` 1000 `MEGABYTES`
`static String` `HOURS` 60 `MINUTES`
`static String` `KIBIBITS` 1024 `BITS`
`static String` `KILOBITS` 1000 `BITS`
`static String` `KILOBYTES` 1000 `BYTES`
`static String` `MEBIBITS` 1024 `KIBIBITS`
`static String` `MEGABITS` 1000 `KILOBITS`
`static String` `MEGABYTES` 1000 `KILOBYTES`
`static String` `MICROSECONDS` 1/1000 `MILLISECONDS`
`static String` `MILLISECONDS` 1/1000 `SECONDS`
`static String` `MINUTES` 60 `SECONDS`
`static String` `NANOSECONDS` 1/1000 `MICROSECONDS`
`static String` `NONE` No unit
`static String` `PER_SECOND` Represent per second
`static String` `PERCENT` Represents percentage
`static String` `SECONDS` Represents seconds

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NONE

    public static final String NONE

No unit

See Also:
  Constant Field Values

#### BITS

    public static final String BITS

Represents bits. Not defined by SI, but by IEC 60027

See Also:
  Constant Field Values

#### KILOBITS

    public static final String KILOBITS

1000 `BITS`

See Also:
  Constant Field Values

#### MEGABITS

    public static final String MEGABITS

1000 `KILOBITS`

See Also:
  Constant Field Values

#### GIGABITS

    public static final String GIGABITS

1000 `MEGABITS`

See Also:
  Constant Field Values

#### KIBIBITS

    public static final String KIBIBITS

1024 `BITS`

See Also:
  Constant Field Values

#### MEBIBITS

    public static final String MEBIBITS

1024 `KIBIBITS`

See Also:
  Constant Field Values

#### GIBIBITS

    public static final String GIBIBITS

1024 `MEBIBITS`

See Also:
  Constant Field Values

#### BYTES

    public static final String BYTES

8 `BITS`

See Also:
  Constant Field Values

#### KILOBYTES

    public static final String KILOBYTES

1000 `BYTES`

See Also:
  Constant Field Values

#### MEGABYTES

    public static final String MEGABYTES

1000 `KILOBYTES`

See Also:
  Constant Field Values

#### GIGABYTES

    public static final String GIGABYTES

1000 `MEGABYTES`

See Also:
  Constant Field Values

#### NANOSECONDS

    public static final String NANOSECONDS

1/1000 `MICROSECONDS`

See Also:
  Constant Field Values

#### MICROSECONDS

    public static final String MICROSECONDS

1/1000 `MILLISECONDS`

See Also:
  Constant Field Values

#### MILLISECONDS

    public static final String MILLISECONDS

1/1000 `SECONDS`

See Also:
  Constant Field Values

#### SECONDS

    public static final String SECONDS

Represents seconds

See Also:
  Constant Field Values

#### MINUTES

    public static final String MINUTES

60 `SECONDS`

See Also:
  Constant Field Values

#### HOURS

    public static final String HOURS

60 `MINUTES`

See Also:
  Constant Field Values

#### DAYS

    public static final String DAYS

24 `HOURS`

See Also:
  Constant Field Values

#### PERCENT

    public static final String PERCENT

Represents percentage

See Also:
  Constant Field Values

#### PER_SECOND

    public static final String PER_SECOND

Represent per second

See Also:
  Constant Field Values